"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var cache_1 = require("../../cache/cache");
var initialContext = {
    query: function () {
        console.warn('Add ClientProvider to use client context');
        return Promise.resolve({ error: true, status: 0 });
    },
    suspenseCache: cache_1.createCache(function () { return true; }, function () { return true; }),
};
exports.ClientContext = react_1.createContext(initialContext);
